(command "._vslide" "TRICsyTM")
(if (null c:tricsyinfo) (progn
    ;; The following is only needed on startup
    (if (not (menugroup "TRICsy"))
        (command "_menuload" "TRICsy.cui")
    )
    (if (or (wcmatch (getvar "ACADVER") "*Bricscad*") (wcmatch (getvar "ACADVER") "*BricsCAD*")) (progn
        ;; This is Bricscad running, load the correct DLL
        (setq TSY_IS_BRICSCAD 1)
        (if (wcmatch (getvar "_VERNUM") "10.*") (progn
            (arxload   "TRICsy.v10")
        ))
        (if (wcmatch (getvar "_VERNUM") "11.*") (progn
            (arxload   "TRICsy.v11")
        ))
        (if (wcmatch (getvar "_VERNUM") "12.*") (progn
            (arxload   "TRICsy.v12")
        ))
        (if (wcmatch (getvar "_VERNUM") "13.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v13")
            )(progn
                (arxload "TRICsy.v13")
            ))
        ))
        (if (wcmatch (getvar "_VERNUM") "14.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v14")
            )(progn
                (arxload "TRICsy.v14")
            ))
        ))
        (if (wcmatch (getvar "_VERNUM") "15.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v15")
            )(progn
                (arxload "TRICsy.v15")
            ))
        ))
        (if (wcmatch (getvar "_VERNUM") "16.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v16")
            )(progn
                (arxload "TRICsy.v16")
            ))
        ))
        (if (wcmatch (getvar "_VERNUM") "17.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v17")
            )(progn
                (arxload "TRICsy.v17")
            ))
        ))
        (if (wcmatch (getvar "_VERNUM") "18.*") (progn
            (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
                (arxload "TRICsy64.v18")
            )(progn
                (arxload "TRICsy.v18")
            ))
        ))
    )(progn
        ;; This is AutoCAD
        (setq TSY_IS_BRICSCAD 0)
        (if (wcmatch (getvar "PLATFORM") "*(x64)*") (progn
            (arxload "TRICSY64.ARX")
        )(progn
            (arxload "TRICSY.ARX")
        ))
    ))
))

;; These files have to loaded on every drawing opened
(load "msbvprg.lsp")
(load "msblockv.lsp")
(load "msblkarc.lsp")
(load "msblkres.lsp")
(load "msbv.lsp")
;;(load "combsol.lsp")
;;(if (wcmatch (getvar "ACADVER") "*Bricscad*") (progn
(if (= 1 TSY_IS_BRICSCAD) (progn
    (defun c:BV ()
        (Start_MBV)
    )
    (setq str_BM_Start "BV")
)(progn
    (defun c:BV ()
        (Start_MBV)
    )
    (setq str_BM_Start "BV")
))

(command "._REDRAW")
(princ (strcat "\n\n" (C_GT "MSG_LOADED_1") str_BM_Start (C_GT "MSG_LOADED_2")))
(princ)

